﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ControlPoint.ControlAPI.Setting>" %>

    <% using (Html.BeginForm()) {%>
        <%= Html.ValidationSummary(true) %>
        
        <fieldset>
            <legend>Fields</legend>
            
            <div class="editor-label">
                <%= Html.LabelFor(model => model.Name) %>
            </div>
            <div class="editor-field">
                <%= Html.TextBoxFor(model => model.Name) %>
                <%= Html.ValidationMessageFor(model => model.Name) %>
            </div>
            
            
            <div class="editor-label">
                <%= Html.LabelFor(model => model.Value) %>
            </div>
            <div class="editor-field">
                <% 
                   if (Model.Value.GetType() == typeof(String)) {
                       Response.Write(Html.TextBoxFor(model => model.Value)); 
                       Response.Write( Html.ValidationMessageFor(model => model.Value));
                   } else if (Model.Value.GetType() == typeof(int)) { 
                       Response.Write(Html.TextBoxFor(model => model.Value));
                       Response.Write(Html.ValidationMessageFor(model => model.Value));
                   } else if (Model.Value.GetType() == typeof(DateTime)) {
                       Response.Write(Html.TextBoxFor(model => model.Value));
                       Response.Write(Html.ValidationMessageFor(model => model.Value));
                   } else if (Model.Value.GetType() == typeof(bool)) {
                       Response.Write(Html.CheckBoxFor(model => (bool)model.Value));
                       Response.Write(Html.ValidationMessageFor(model => model.Value));
                   } %>
            </div>
            
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%= Html.ActionLink("Back to List", "Index") %>
    </div>


