using System;
using System.Collections.Generic;
using System.Text;

namespace ControlPoint.ControlAPI
{
	public class ZWaveDimmer : ZWaveDevice, IDeviceDimmer
	{
	


        public ZWaveDimmer(ZWaveController controller, SettingsList settings)
            : base(controller, settings) {
			
 			
            this.Settings.SettingChanged += OnSettingChanged;
			//Nothing yet
        }
		
        private void OnSettingChanged(Object sender, SettingChangedEventArgs e) {
			
        }

		public void Dim(int level)
        {
            this._level = level;
            ((ZWaveApi.Net.CommandClasses.SwitchMultilevel)base._commandClass).Level = (byte)level;
		}

		public int Level
		{
			get
			{
                return (int)((ZWaveApi.Net.CommandClasses.SwitchMultilevel)base._commandClass).Level;
			}
		}
	}
}
